streamWrapper::stream_close
streamWrapper::stream_flush
streamWrapper
PHP Manual

# streamWrapper::stream_eof

(PHP 4 >= 4.3.2, PHP 5)

streamWrapper::stream_eof — Tests for end-of-file on a file pointer

### Description

public bool streamWrapper::stream_eof ( void )

This method is called in response to feof().

### Parameters

This function has no parameters.

### Return Values

Should return `TRUE` if the read/write position is at the end of the stream and if no more data is available to be read, or `FALSE` otherwise.

### See Also

- feof() - Tests for end-of-file on a file pointer

streamWrapper::stream_close
streamWrapper::stream_flush
streamWrapper
PHP Manual